cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/synonyms' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getSynonyms()$client->index('movies')->getSynonyms();client.index('movies').get_synonyms()client.index("movies").getSynonymsSettings();client.index('movies').synonymsclient.Index("movies").GetSynonyms()await client.Index("movies").GetSynonymsAsync();let synonyms: HashMap<String, Vec<String>> = client
.index("movies")
.get_synonyms()
.await
.unwrap();await client.index('movies').getSynonyms();client.index("movies").getSynonyms { (result) in
switch result {
case .success(let synonyms):
print(synonyms)
case .failure(let error):
print(error)
}
}{}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Synonyms
Get synonyms
Returns the current value of the synonyms setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
synonyms
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/movies/settings/synonyms' \
-H 'Authorization: Bearer API_KEY'client.index('movies').getSynonyms()$client->index('movies')->getSynonyms();client.index('movies').get_synonyms()client.index("movies").getSynonymsSettings();client.index('movies').synonymsclient.Index("movies").GetSynonyms()await client.Index("movies").GetSynonymsAsync();let synonyms: HashMap<String, Vec<String>> = client
.index("movies")
.get_synonyms()
.await
.unwrap();await client.index('movies').getSynonyms();client.index("movies").getSynonyms { (result) in
switch result {
case .success(let synonyms):
print(synonyms)
case .failure(let error):
print(error)
}
}{}{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the synonyms setting.
Was this page helpful?